Get Resource Activity
curl --request GET \
--url https://api.thefaithapp.com/v1/community/resource-activity \
--header 'Authorization: Bearer <token>' \
--header 'X-API-Key: <api-key>'const options = {
method: 'GET',
headers: {'X-API-Key': '<api-key>', Authorization: 'Bearer <token>'}
};
fetch('https://api.thefaithapp.com/v1/community/resource-activity', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.thefaithapp.com/v1/community/resource-activity"
headers = {
"X-API-Key": "<api-key>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"status": "Success",
"data": {
"activity": {
"items": [
{
"id": 207,
"type": "lending_item",
"title": "Portable camping chairs",
"description": "A lightweight folding wheelchair available for short-term use.",
"condition": "good",
"status": "pending_review",
"default_loan_days": 14,
"approximate_area": "Central Campus",
"is_owner": true,
"managed_by": "member",
"created_at": "2026-07-18T09:30:00.000000Z",
"loans": [
{
"id": 511,
"status": "requested",
"private_note": "Needed for a family visit next weekend.",
"requested_at": "2026-07-18T09:30:00.000000Z",
"checked_out_at": null,
"due_at": null,
"returned_at": null,
"chat_channel_id": null,
"resource": {
"id": 206,
"type": "lending_item",
"title": "Folding wheelchair",
"description": "A lightweight folding wheelchair available for short-term use.",
"condition": "good",
"status": "available",
"default_loan_days": 14,
"approximate_area": "Central Campus",
"is_owner": false,
"managed_by": "member",
"created_at": "2026-07-18T09:30:00.000000Z"
},
"borrower": {
"id": 415,
"name": "Casey M."
}
}
]
}
],
"loans": [
{
"id": 511,
"status": "requested",
"private_note": "Needed for a family visit next weekend.",
"requested_at": "2026-07-18T09:30:00.000000Z",
"checked_out_at": null,
"due_at": null,
"returned_at": null,
"chat_channel_id": null,
"resource": {
"id": 206,
"type": "lending_item",
"title": "Folding wheelchair",
"description": "A lightweight folding wheelchair available for short-term use.",
"condition": "good",
"status": "available",
"default_loan_days": 14,
"approximate_area": "Central Campus",
"is_owner": false,
"managed_by": "member",
"created_at": "2026-07-18T09:30:00.000000Z"
}
}
]
}
}
}Resource Sharing
Get Resource Activity
Returns items offered by the member and loans requested by the member.
GET
/
v1
/
community
/
resource-activity
Get Resource Activity
curl --request GET \
--url https://api.thefaithapp.com/v1/community/resource-activity \
--header 'Authorization: Bearer <token>' \
--header 'X-API-Key: <api-key>'const options = {
method: 'GET',
headers: {'X-API-Key': '<api-key>', Authorization: 'Bearer <token>'}
};
fetch('https://api.thefaithapp.com/v1/community/resource-activity', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.thefaithapp.com/v1/community/resource-activity"
headers = {
"X-API-Key": "<api-key>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"status": "Success",
"data": {
"activity": {
"items": [
{
"id": 207,
"type": "lending_item",
"title": "Portable camping chairs",
"description": "A lightweight folding wheelchair available for short-term use.",
"condition": "good",
"status": "pending_review",
"default_loan_days": 14,
"approximate_area": "Central Campus",
"is_owner": true,
"managed_by": "member",
"created_at": "2026-07-18T09:30:00.000000Z",
"loans": [
{
"id": 511,
"status": "requested",
"private_note": "Needed for a family visit next weekend.",
"requested_at": "2026-07-18T09:30:00.000000Z",
"checked_out_at": null,
"due_at": null,
"returned_at": null,
"chat_channel_id": null,
"resource": {
"id": 206,
"type": "lending_item",
"title": "Folding wheelchair",
"description": "A lightweight folding wheelchair available for short-term use.",
"condition": "good",
"status": "available",
"default_loan_days": 14,
"approximate_area": "Central Campus",
"is_owner": false,
"managed_by": "member",
"created_at": "2026-07-18T09:30:00.000000Z"
},
"borrower": {
"id": 415,
"name": "Casey M."
}
}
]
}
],
"loans": [
{
"id": 511,
"status": "requested",
"private_note": "Needed for a family visit next weekend.",
"requested_at": "2026-07-18T09:30:00.000000Z",
"checked_out_at": null,
"due_at": null,
"returned_at": null,
"chat_channel_id": null,
"resource": {
"id": 206,
"type": "lending_item",
"title": "Folding wheelchair",
"description": "A lightweight folding wheelchair available for short-term use.",
"condition": "good",
"status": "available",
"default_loan_days": 14,
"approximate_area": "Central Campus",
"is_owner": false,
"managed_by": "member",
"created_at": "2026-07-18T09:30:00.000000Z"
}
}
]
}
}
}Authorizations
Client API key copied from Developer Access in the TheFaithApp dashboard.
Member access token returned by POST /v1/auth/token.
Was this page helpful?
⌘I